Remember one fact, stored as written
For a fact the agent has already distilled: text is stored as given, with nothing extracted from it. Send a transcript to ingest instead. Remembering the same text again writes the same memory rather than a second copy of it, so a retry is safe. The write runs asynchronously — poll the returned operation.
POST
/
ai
/
memory
/
namespaces
/
{namespace}
/
profiles
/
{profile_id}
/
remember
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.memory.namespaces.profiles.remember('namespace', 'profile_id', {
text: 'text',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.memory.namespaces.profiles.remember(
namespace="namespace",
profile_id="profile_id",
text="text",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Memory.Namespaces.Profiles.Remember(
context.TODO(),
"namespace",
"profile_id",
telnyx.AIMemoryNamespaceProfileRememberParams{
Text: "text",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.memory.namespaces.profiles.ProfileRememberParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileRememberParams params = ProfileRememberParams.builder()
.text("text")
.build();
var response = client.ai().memory().namespaces().profiles().remember("namespace", "profile_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.memory.namespaces.profiles.remember("namespace", "profile_id", text: "text")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->memory->namespaces->profiles->remember(
'namespace',
'profile_id',
text: 'text',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:profiles remember \
--api-key 'My API Key' \
--namespace namespace \
--profile-id profile_id \
--text textcurl --request POST \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/profiles/{profile_id}/remember \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Prefers window seats and flies out of ORD"
}
'{
"data": {
"operation_id": "op_01HZY4M7Q9",
"profile_id": "caller:+13128675309",
"source_id": "9af23d17-2b6c-4d8e-a1f0-3c4b5d6e7f80"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "invalid_request",
"detail": "body.text: String should have at least 1 character"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.memory.namespaces.profiles.remember('namespace', 'profile_id', {
text: 'text',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.memory.namespaces.profiles.remember(
namespace="namespace",
profile_id="profile_id",
text="text",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Memory.Namespaces.Profiles.Remember(
context.TODO(),
"namespace",
"profile_id",
telnyx.AIMemoryNamespaceProfileRememberParams{
Text: "text",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.memory.namespaces.profiles.ProfileRememberParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileRememberParams params = ProfileRememberParams.builder()
.text("text")
.build();
var response = client.ai().memory().namespaces().profiles().remember("namespace", "profile_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.memory.namespaces.profiles.remember("namespace", "profile_id", text: "text")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->memory->namespaces->profiles->remember(
'namespace',
'profile_id',
text: 'text',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:profiles remember \
--api-key 'My API Key' \
--namespace namespace \
--profile-id profile_id \
--text textcurl --request POST \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/profiles/{profile_id}/remember \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Prefers window seats and flies out of ORD"
}
'{
"data": {
"operation_id": "op_01HZY4M7Q9",
"profile_id": "caller:+13128675309",
"source_id": "9af23d17-2b6c-4d8e-a1f0-3c4b5d6e7f80"
}
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "invalid_request",
"detail": "body.text: String should have at least 1 character"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}